Subject: bug#59586: Conflicting types for 'wait' in binutils test program

From: Jacob Bachmeyer <[email-masked]>
Date: Mon, 28 Nov 2022 21:43:10 -0600

An initial patch has been pushed to Savannah in the 
"topic-improved-unit-test" branch.  Please confirm that this resolves 
your issues.  Further work is planned on that branch before it will be 
merged into master.

While DejaGnu itself can now be run directly from a Git checkout, you 
will need to ensure that the version of dejagnu.h included with DejaGnu 
is found by your compiler before the system copy, since this problem is 
related to that file.  If you want to test from a Git checkout, I 
suggest passing "CPPFLAGS=-I/name/of/git/checkout/for/dejagnu" on the 
configure command line and 
"RUNTEST=/name/of/git/checkout/for/dejagnu/runtest" on the make command 
line.

-- Jacob